using Mapster;


namespace Model
{
    /// <summary>
    /// 换绑记录 ChangeBindRecord
    /// </summary>
    [SugarTable("ChangeBindRecord", "换绑记录")]
    [Tenant("0")]
    public class ChangeBindRecord
    {
        /// <summary>
        /// 机构名称
        /// </summary>
        [SugarColumn(ColumnDescription = "机构名称", Length = 64, ColumnName = "AgentName")]
        public string? agentName { get; set; }


        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "终端机身号", Length = 32, ColumnName = "MerSnNo")]
        public string? merSnNo { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 新终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "新终端机身号", Length = 32, ColumnName = "MerNewSnNo")]
        public string? merNewSnNo { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 提交时间
        /// </summary>
        [SugarColumn(ColumnDescription = "提交时间", ColumnName = "ConfirmTime")]
        public DateTime? confirmTime { get; set; }


        /// <summary>
        /// 重新绑定时间
        /// </summary>
        [SugarColumn(ColumnDescription = "重新绑定时间", ColumnName = "ReBindTime")]
        public DateTime? reBindTime { get; set; }


        /// <summary>
        /// 渠道流水号
        /// </summary>
        [SugarColumn(ColumnDescription = "渠道流水号", Length = 50, ColumnName = "ChannelSerial")]
        public string? channelSerial { get; set; }


        /// <summary>
        /// 备用字段1
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段1", Length = 50, ColumnName = "Field1")]
        public string? field1 { get; set; }


        /// <summary>
        /// 备用字段2
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段2", Length = 50, ColumnName = "Field2")]
        public string? field2 { get; set; }


        /// <summary>
        /// 备用字段3
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段3", Length = 50, ColumnName = "Field3")]
        public string? field3 { get; set; }


        /// <summary>
        /// 备用字段4
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段4", Length = 50, ColumnName = "Field4")]
        public string? field4 { get; set; }


        /// <summary>
        /// 备用字段5
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段5", Length = 50, ColumnName = "Field5")]
        public string? field5 { get; set; }


        /// <summary>
        /// 机构号
        /// </summary>
        [SugarColumn(ColumnDescription = "机构号", Length = 50, ColumnName = "AgentNo")]
        public string? agentNo { get; set; }



    }
}