using Mapster;


namespace Model
{
    /// <summary>
    /// 好哒终端替换记录 hd_change_record
    /// </summary>
    [SugarTable("hd_change_record", "好哒终端替换记录")]
    [Tenant("0")]
    public class HdChangeRecord
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 删除标记
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标记", ColumnName = "del_flag")]
        public int delFlag { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// 平台商户号
        /// </summary>
        [SugarColumn(ColumnDescription = "平台商户号", Length = 50, ColumnName = "mcht_no")]
        public string? mchtNo { get; set; }


        /// <summary>
        /// 新的TUSN编码
        /// </summary>
        [SugarColumn(ColumnDescription = "新的TUSN编码", Length = 50, ColumnName = "sn_no")]
        public string? snNo { get; set; }


        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "设备类型", Length = 20, ColumnName = "device_type")]
        public string? deviceType { get; set; }


        /// <summary>
        /// 新的TUSN编码
        /// </summary>
        [SugarColumn(ColumnDescription = "新的TUSN编码", Length = 50, ColumnName = "new_sn_no")]
        public string? newSnNo { get; set; }


        /// <summary>
        /// 旧的的TUSN编码
        /// </summary>
        [SugarColumn(ColumnDescription = "旧的的TUSN编码", Length = 50, ColumnName = "old_sn_no")]
        public string? oldSnNo { get; set; }


        /// <summary>
        /// 换绑时间
        /// </summary>
        [SugarColumn(ColumnDescription = "换绑时间", Length = 20, ColumnName = "opr_time")]
        public string? oprTime { get; set; }



    }
}