using Mapster;


namespace Model
{
    /// <summary>
    /// 好哒交易记录 hd_trade_record
    /// </summary>
    [SplitTable(SplitType.Month)]
    [SugarTable("hd_trade_record_{year}{month}{day}", "好哒交易记录")]
    [Tenant("0")]
    public class HdTradeRecord
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, ColumnName = "id")]
        public long id { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 删除标记
        /// </summary>
        [SugarColumn(ColumnDescription = "删除标记", ColumnName = "del_flag")]
        public int delFlag { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SplitField]
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// 机构编号
        /// </summary>
        [SugarColumn(ColumnDescription = "机构编号", Length = 50, ColumnName = "agent_id")]
        public string? agentId { get; set; }


        /// <summary>
        /// 商户号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户号", Length = 50, ColumnName = "merch_id")]
        public string? merchId { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 50, ColumnName = "merch_name")]
        public string? merchName { get; set; }


        /// <summary>
        /// 订单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "订单编号", Length = 50, ColumnName = "ord_id")]
        public string? ordId { get; set; }


        /// <summary>
        /// 交易金额
        /// </summary>
        [SugarColumn(ColumnDescription = "交易金额", Length = 20, ColumnName = "trans_amt")]
        public string? transAmt { get; set; }


        /// <summary>
        /// 手续费
        /// </summary>
        [SugarColumn(ColumnDescription = "手续费", Length = 20, ColumnName = "fee_amt")]
        public string? feeAmt { get; set; }


        /// <summary>
        /// 流量费
        /// </summary>
        [SugarColumn(ColumnDescription = "流量费", Length = 20, ColumnName = "sim_fee")]
        public string? simFee { get; set; }


        /// <summary>
        /// S0服务费
        /// </summary>
        [SugarColumn(ColumnDescription = "S0服务费", Length = 20, ColumnName = "s0_fee")]
        public string? s0Fee { get; set; }


        /// <summary>
        /// 费率
        /// </summary>
        [SugarColumn(ColumnDescription = "费率", Length = 20, ColumnName = "fee_rate")]
        public string? feeRate { get; set; }


        /// <summary>
        /// 卡类型
        /// </summary>
        [SugarColumn(ColumnDescription = "卡类型", Length = 10, ColumnName = "card_type")]
        public string? cardType { get; set; }


        /// <summary>
        /// 终端Sn编号
        /// </summary>
        [SugarColumn(ColumnDescription = "终端Sn编号", Length = 20, ColumnName = "dev_id")]
        public string? devId { get; set; }


        /// <summary>
        /// 交易状态
        /// </summary>
        [SugarColumn(ColumnDescription = "交易状态", Length = 10, ColumnName = "trans_stat")]
        public string? transStat { get; set; }


        /// <summary>
        /// 交易类型
        /// </summary>
        [SugarColumn(ColumnDescription = "交易类型", Length = 10, ColumnName = "trans_type")]
        public string? transType { get; set; }


        /// <summary>
        /// 支付方式
        /// </summary>
        [SugarColumn(ColumnDescription = "支付方式", Length = 10, ColumnName = "payment_method")]
        public string? paymentMethod { get; set; }


        /// <summary>
        /// 结算类型
        /// </summary>
        [SugarColumn(ColumnDescription = "结算类型", Length = 10, ColumnName = "settle_type")]
        public string? settleType { get; set; }


        /// <summary>
        /// 交易日期
        /// </summary>
        [SugarColumn(ColumnDescription = "交易日期", Length = 10, ColumnName = "trans_date")]
        public string? transDate { get; set; }


        /// <summary>
        /// 交易时间
        /// </summary>
        [SugarColumn(ColumnDescription = "交易时间", Length = 20, ColumnName = "trans_time")]
        public string? transTime { get; set; }


        /// <summary>
        /// 双免标识
        /// </summary>
        [SugarColumn(ColumnDescription = "双免标识", Length = 5, ColumnName = "quick_pass_flag")]
        public string? quickPassFlag { get; set; }



    }
}