using Mapster;


namespace Model
{
    /// <summary>
    /// 快钱Mpos交易抓取 KqTrade
    /// </summary>
    [SugarTable("KqTrade", "快钱Mpos交易抓取")]
    [Tenant("0")]
    public class KqTrade
    {
        /// <summary>
        /// 交易单号
        /// </summary>
        [SugarColumn(ColumnDescription = "交易单号", Length = 32, IsPrimaryKey = true, ColumnName = "TradeSerialNo")]
        public string? tradeSerialNo { get; set; }


        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 交易金额
        /// </summary>
        [SugarColumn(ColumnDescription = "交易金额", ColumnName = "TradeAmount")]
        public decimal tradeAmount { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 交易状态
        /// </summary>
        [SugarColumn(ColumnDescription = "交易状态", Length = 16, ColumnName = "TradeStatus")]
        public string? tradeStatus { get; set; }


        /// <summary>
        /// 交易日期
        /// </summary>
        [SugarColumn(ColumnDescription = "交易日期", Length = 8, ColumnName = "TradeDate")]
        public string? tradeDate { get; set; }


        /// <summary>
        /// 交易时间
        /// </summary>
        [SugarColumn(ColumnDescription = "交易时间", Length = 8, ColumnName = "TradeTime")]
        public string? tradeTime { get; set; }


        /// <summary>
        /// 银行卡类型
        /// </summary>
        [SugarColumn(ColumnDescription = "银行卡类型", Length = 16, ColumnName = "BankCardType")]
        public string? bankCardType { get; set; }


        /// <summary>
        /// 交易SN号
        /// </summary>
        [SugarColumn(ColumnDescription = "交易SN号", Length = 32, ColumnName = "TradeSnNo")]
        public string? tradeSnNo { get; set; }


        /// <summary>
        /// 挖款标识
        /// </summary>
        [SugarColumn(ColumnDescription = "挖款标识", Length = 4, ColumnName = "DigAmtFlag")]
        public string? digAmtFlag { get; set; }


        /// <summary>
        /// 挖款金额
        /// </summary>
        [SugarColumn(ColumnDescription = "挖款金额", ColumnName = "DigAmt")]
        public decimal digAmt { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "CreateTime")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "UpdateTime")]
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// 交易卡号
        /// </summary>
        [SugarColumn(ColumnDescription = "交易卡号", Length = 32, ColumnName = "BankCardNo")]
        public string? bankCardNo { get; set; }


        /// <summary>
        /// 手续费
        /// </summary>
        [SugarColumn(ColumnDescription = "手续费", ColumnName = "FeeAmount")]
        public decimal feeAmount { get; set; }


        /// <summary>
        /// 出款方式
        /// </summary>
        [SugarColumn(ColumnDescription = "出款方式", Length = 16, ColumnName = "SettleMethod")]
        public string? settleMethod { get; set; }


        /// <summary>
        /// 出款手续费
        /// </summary>
        [SugarColumn(ColumnDescription = "出款手续费", ColumnName = "SettleFee")]
        public decimal settleFee { get; set; }


        /// <summary>
        /// 小额双免
        /// </summary>
        [SugarColumn(ColumnDescription = "小额双免", Length = 4, ColumnName = "SmallDouble")]
        public string? smallDouble { get; set; }


        /// <summary>
        /// 业务员编号
        /// </summary>
        [SugarColumn(ColumnDescription = "业务员编号", Length = 32, ColumnName = "BizEnterNo")]
        public string? bizEnterNo { get; set; }


        /// <summary>
        /// 业务员名称
        /// </summary>
        [SugarColumn(ColumnDescription = "业务员名称", Length = 64, ColumnName = "BizEnterName")]
        public string? bizEnterName { get; set; }


        /// <summary>
        /// 来源类型
        /// </summary>
        [SugarColumn(ColumnDescription = "来源类型", Length = 16, ColumnName = "SourceType")]
        public string? sourceType { get; set; }


        /// <summary>
        /// 总手续费
        /// </summary>
        [SugarColumn(ColumnDescription = "总手续费", ColumnName = "SettleTotalFee")]
        public decimal settleTotalFee { get; set; }


        /// <summary>
        /// 计费类型
        /// </summary>
        [SugarColumn(ColumnDescription = "计费类型", Length = 32, ColumnName = "BillType")]
        public string? billType { get; set; }


        /// <summary>
        /// 手续费成本金额
        /// </summary>
        [SugarColumn(ColumnDescription = "手续费成本金额", ColumnName = "SettleFeeCostAmt")]
        public decimal settleFeeCostAmt { get; set; }


        /// <summary>
        /// 手续费返佣金额
        /// </summary>
        [SugarColumn(ColumnDescription = "手续费返佣金额", ColumnName = "SettleFeeRebateAmt")]
        public decimal settleFeeRebateAmt { get; set; }


        /// <summary>
        /// 出款成本金额
        /// </summary>
        [SugarColumn(ColumnDescription = "出款成本金额", ColumnName = "SettleCostAmt")]
        public decimal settleCostAmt { get; set; }


        /// <summary>
        /// 出款返佣金额
        /// </summary>
        [SugarColumn(ColumnDescription = "出款返佣金额", ColumnName = "SettleRebateAmt")]
        public decimal settleRebateAmt { get; set; }


        /// <summary>
        /// 总成本
        /// </summary>
        [SugarColumn(ColumnDescription = "总成本", ColumnName = "TotalCostAmt")]
        public decimal totalCostAmt { get; set; }


        /// <summary>
        /// 总返佣额
        /// </summary>
        [SugarColumn(ColumnDescription = "总返佣额", ColumnName = "TotalRebateAmt")]
        public decimal totalRebateAmt { get; set; }


        /// <summary>
        /// S0出款状态
        /// </summary>
        [SugarColumn(ColumnDescription = "S0出款状态", Length = 16, ColumnName = "S0SettleStatus")]
        public string? s0SettleStatus { get; set; }


        /// <summary>
        /// 挖款状态
        /// </summary>
        [SugarColumn(ColumnDescription = "挖款状态", Length = 16, ColumnName = "DigStatus")]
        public string? digStatus { get; set; }


        /// <summary>
        /// 快钱交易流水号
        /// </summary>
        [SugarColumn(ColumnDescription = "快钱交易流水号", Length = 32, ColumnName = "KqTradeSeq")]
        public string? kqTradeSeq { get; set; }


        /// <summary>
        /// 输入模式
        /// </summary>
        [SugarColumn(ColumnDescription = "输入模式", Length = 32, ColumnName = "InputModel")]
        public string? inputModel { get; set; }



    }
}