using Mapster;


namespace Model
{
    /// <summary>
    /// 快钱Mpos交易推送 KqTradeCallBack
    /// </summary>
    [SugarTable("KqTradeCallBack", "快钱Mpos交易推送")]
    [Tenant("0")]
    public class KqTradeCallBack
    {
        /// <summary>
        /// 交易单号
        /// </summary>
        [SugarColumn(ColumnDescription = "交易单号", Length = 32, IsPrimaryKey = true, ColumnName = "TradeSerialNo")]
        public string? tradeSerialNo { get; set; }


        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 交易金额
        /// </summary>
        [SugarColumn(ColumnDescription = "交易金额", ColumnName = "TradeAmount")]
        public decimal tradeAmount { get; set; }


        /// <summary>
        /// 交易参考号
        /// </summary>
        [SugarColumn(ColumnDescription = "交易参考号", Length = 32, ColumnName = "TradeReferNo")]
        public string? tradeReferNo { get; set; }


        /// <summary>
        /// 银行授权码
        /// </summary>
        [SugarColumn(ColumnDescription = "银行授权码", Length = 32, ColumnName = "BankAuthCode")]
        public string? bankAuthCode { get; set; }


        /// <summary>
        /// 优惠费率标识
        /// </summary>
        [SugarColumn(ColumnDescription = "优惠费率标识", Length = 16, ColumnName = "DiscountRateFlag")]
        public string? discountRateFlag { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 交易状态
        /// </summary>
        [SugarColumn(ColumnDescription = "交易状态", Length = 16, ColumnName = "Trade_status")]
        public string? tradeStatus { get; set; }


        /// <summary>
        /// 错误码
        /// </summary>
        [SugarColumn(ColumnDescription = "错误码", Length = 16, ColumnName = "ErrorCode")]
        public string? errorCode { get; set; }


        /// <summary>
        /// 错误信息
        /// </summary>
        [SugarColumn(ColumnDescription = "错误信息", Length = 32, ColumnName = "ErrorMsg")]
        public string? errorMsg { get; set; }


        /// <summary>
        /// 交易日期
        /// </summary>
        [SugarColumn(ColumnDescription = "交易日期", Length = 8, ColumnName = "TradeDate")]
        public string? tradeDate { get; set; }


        /// <summary>
        /// 交易时间
        /// </summary>
        [SugarColumn(ColumnDescription = "交易时间", Length = 8, ColumnName = "TradeTime")]
        public string? tradeTime { get; set; }


        /// <summary>
        /// 交易类型
        /// </summary>
        [SugarColumn(ColumnDescription = "交易类型", Length = 32, ColumnName = "TradeType")]
        public string? tradeType { get; set; }


        /// <summary>
        /// 输入模式
        /// </summary>
        [SugarColumn(ColumnDescription = "输入模式", Length = 32, ColumnName = "SerEntryMode")]
        public string? serEntryMode { get; set; }


        /// <summary>
        /// 银行卡类型
        /// </summary>
        [SugarColumn(ColumnDescription = "银行卡类型", Length = 16, ColumnName = "BankCardType")]
        public string? bankCardType { get; set; }


        /// <summary>
        /// 交易SN号
        /// </summary>
        [SugarColumn(ColumnDescription = "交易SN号", Length = 32, ColumnName = "TradeSnNo")]
        public string? tradeSnNo { get; set; }


        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "设备类型", Length = 16, ColumnName = "DeviceType")]
        public string? deviceType { get; set; }


        /// <summary>
        /// 商户手机号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户手机号", Length = 11, ColumnName = "MerMobile")]
        public string? merMobile { get; set; }


        /// <summary>
        /// 挖款标识
        /// </summary>
        [SugarColumn(ColumnDescription = "挖款标识", Length = 4, ColumnName = "DigAmtFlag")]
        public string? digAmtFlag { get; set; }


        /// <summary>
        /// 挖款金额
        /// </summary>
        [SugarColumn(ColumnDescription = "挖款金额", ColumnName = "DigAmt")]
        public decimal digAmt { get; set; }


        /// <summary>
        /// 店面收银交易标识
        /// </summary>
        [SugarColumn(ColumnDescription = "店面收银交易标识", Length = 16, ColumnName = "IsStoreCashier")]
        public string? isStoreCashier { get; set; }


        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "设备类型", Length = 16, ColumnName = "ReceiptType")]
        public string? receiptType { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "CreateTime")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "UpdateTime")]
        public DateTime? updateTime { get; set; }



    }
}