using Mapster;


namespace Model
{
    /// <summary>
    /// 快闪刷商户首刷 KssTradeFirst
    /// </summary>
    [SugarTable("KssTradeFirst", "快闪刷商户首刷")]
    [Tenant("0")]
    public class KssTradeFirst
    {
        /// <summary>
        /// 机构名称
        /// </summary>
        [SugarColumn(ColumnDescription = "机构名称", Length = 64, ColumnName = "AgentName")]
        public string? agentName { get; set; }


        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 绑定日期
        /// </summary>
        [SugarColumn(ColumnDescription = "绑定日期", ColumnName = "MerBindDate")]
        public DateTime? merBindDate { get; set; }


        /// <summary>
        /// 终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "终端机身号", Length = 32, ColumnName = "MerSnNo")]
        public string? merSnNo { get; set; }


        /// <summary>
        /// 押金活动ID
        /// </summary>
        [SugarColumn(ColumnDescription = "押金活动ID", Length = 32, ColumnName = "ActNo")]
        public string? actNo { get; set; }


        /// <summary>
        /// 押金活动名称
        /// </summary>
        [SugarColumn(ColumnDescription = "押金活动名称", Length = 32, ColumnName = "ActName")]
        public string? actName { get; set; }


        /// <summary>
        /// 达标日期
        /// </summary>
        [SugarColumn(ColumnDescription = "达标日期", ColumnName = "MerStdDate")]
        public DateTime? merStdDate { get; set; }


        /// <summary>
        /// 达标状态
        /// </summary>
        [SugarColumn(ColumnDescription = "达标状态", Length = 4, ColumnName = "MerStdStatus")]
        public string? merStdStatus { get; set; }


        /// <summary>
        /// 是否新增
        /// </summary>
        [SugarColumn(ColumnDescription = "是否新增", Length = 4, ColumnName = "NewFlag")]
        public string? newFlag { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "CreateTime")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "UpdateTime")]
        public DateTime? updateTime { get; set; }



    }
}