using Mapster;


namespace Model
{
    /// <summary>
    /// 商户进件记录 MerchantRecord
    /// </summary>
    [SugarTable("MerchantRecord", "商户进件记录")]
    [Tenant("0")]
    public class MerchantRecord
    {
        /// <summary>
        /// 机构名称
        /// </summary>
        [SugarColumn(ColumnDescription = "机构名称", Length = 64, ColumnName = "AgentName")]
        public string? agentName { get; set; }


        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "终端机身号", Length = 32, ColumnName = "MerSnNo")]
        public string? merSnNo { get; set; }


        /// <summary>
        /// 操作时间
        /// </summary>
        [SugarColumn(ColumnDescription = "操作时间", ColumnName = "MerOperateDate")]
        public DateTime? merOperateDate { get; set; }


        /// <summary>
        /// 操作类型
        /// </summary>
        [SugarColumn(ColumnDescription = "操作类型", Length = 16, ColumnName = "MerOperateType")]
        public string? merOperateType { get; set; }


        /// <summary>
        /// 商户状态
        /// </summary>
        [SugarColumn(ColumnDescription = "商户状态", Length = 16, ColumnName = "MerStatus")]
        public string? merStatus { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 新终端机身号
        /// </summary>
        [SugarColumn(ColumnDescription = "新终端机身号", Length = 32, ColumnName = "MerNewSnNo")]
        public string? merNewSnNo { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "CreateTime")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "UpdateTime")]
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// 渠道流水号
        /// </summary>
        [SugarColumn(ColumnDescription = "渠道流水号", Length = 50, ColumnName = "ChannelSerial")]
        public string? channelSerial { get; set; }


        /// <summary>
        /// 备用字段1
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段1", Length = 50, ColumnName = "Field1")]
        public string? field1 { get; set; }


        /// <summary>
        /// 备用字段2
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段2", Length = 50, ColumnName = "Field2")]
        public string? field2 { get; set; }


        /// <summary>
        /// 备用字段3
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段3", Length = 50, ColumnName = "Field3")]
        public string? field3 { get; set; }


        /// <summary>
        /// 备用字段4
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段4", Length = 50, ColumnName = "Field4")]
        public string? field4 { get; set; }


        /// <summary>
        /// 备用字段5
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段5", Length = 50, ColumnName = "Field5")]
        public string? field5 { get; set; }


        /// <summary>
        /// 机构号
        /// </summary>
        [SugarColumn(ColumnDescription = "机构号", Length = 50, ColumnName = "AgentNo")]
        public string? agentNo { get; set; }


        /// <summary>
        /// 法人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "法人姓名", Length = 30, ColumnName = "LegalName")]
        public string? legalName { get; set; }


        /// <summary>
        /// 法人身份证号
        /// </summary>
        [SugarColumn(ColumnDescription = "法人身份证号", Length = 30, ColumnName = "LegalIdCard")]
        public string? legalIdCard { get; set; }


        /// <summary>
        /// 省
        /// </summary>
        [SugarColumn(ColumnDescription = "省", Length = 30, ColumnName = "Province")]
        public string? province { get; set; }


        /// <summary>
        /// 城市
        /// </summary>
        [SugarColumn(ColumnDescription = "城市", Length = 30, ColumnName = "City")]
        public string? city { get; set; }


        /// <summary>
        /// 区
        /// </summary>
        [SugarColumn(ColumnDescription = "区", Length = 30, ColumnName = "Areas")]
        public string? areas { get; set; }



    }
}