using Mapster;


namespace Model
{
    /// <summary>
    /// 商户 Merchants
    /// </summary>
    [SugarTable("Merchants", "商户")]
    [Tenant("0")]
    public class Merchants
    {
        /// <summary>
        /// 商户编号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户编号", Length = 32, IsPrimaryKey = true, ColumnName = "MerNo")]
        public string? merNo { get; set; }


        /// <summary>
        /// 商户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "商户名称", Length = 32, ColumnName = "MerName")]
        public string? merName { get; set; }


        /// <summary>
        /// 机构名称
        /// </summary>
        [SugarColumn(ColumnDescription = "机构名称", Length = 64, ColumnName = "AgentName")]
        public string? agentName { get; set; }


        /// <summary>
        /// 商户真实姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "商户真实姓名", Length = 16, ColumnName = "MerRealName")]
        public string? merRealName { get; set; }


        /// <summary>
        /// 商户手机号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户手机号", Length = 11, ColumnName = "MerMobile")]
        public string? merMobile { get; set; }


        /// <summary>
        /// 商户身份证号
        /// </summary>
        [SugarColumn(ColumnDescription = "商户身份证号", Length = 18, ColumnName = "MerIdcardNo")]
        public string? merIdcardNo { get; set; }


        /// <summary>
        /// 注册日期
        /// </summary>
        [SugarColumn(ColumnDescription = "注册日期", ColumnName = "MerRegDate")]
        public DateTime? merRegDate { get; set; }


        /// <summary>
        /// 审核日期
        /// </summary>
        [SugarColumn(ColumnDescription = "审核日期", ColumnName = "MerAuditDate")]
        public DateTime? merAuditDate { get; set; }


        /// <summary>
        /// 商户状态
        /// </summary>
        [SugarColumn(ColumnDescription = "商户状态", Length = 16, ColumnName = "MerStatus")]
        public string? merStatus { get; set; }


        /// <summary>
        /// 产品类型
        /// </summary>
        [SugarColumn(ColumnDescription = "产品类型", Length = 32, ColumnName = "ProductType")]
        public string? productType { get; set; }


        /// <summary>
        /// 商户注册省份
        /// </summary>
        [SugarColumn(ColumnDescription = "商户注册省份", Length = 32, ColumnName = "Province")]
        public string? province { get; set; }


        /// <summary>
        /// 商户注册城市
        /// </summary>
        [SugarColumn(ColumnDescription = "商户注册城市", Length = 32, ColumnName = "City")]
        public string? city { get; set; }


        /// <summary>
        /// 注释
        /// </summary>
        [SugarColumn(ColumnDescription = "注释", Length = 64, ColumnName = "Remark")]
        public string? remark { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "CreateTime")]
        public DateTime? createTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "UpdateTime")]
        public DateTime? updateTime { get; set; }


        /// <summary>
        /// SN号
        /// </summary>
        [SugarColumn(ColumnDescription = "SN号", Length = 32, ColumnName = "SnNo")]
        public string? snNo { get; set; }


        /// <summary>
        /// 代理商编号
        /// </summary>
        [SugarColumn(ColumnDescription = "代理商编号", Length = 32, ColumnName = "AgentNo")]
        public string? agentNo { get; set; }


        /// <summary>
        /// 备用字段1
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段1", Length = 50, ColumnName = "Field1")]
        public string? field1 { get; set; }


        /// <summary>
        /// 备用字段2
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段2", Length = 50, ColumnName = "Field2")]
        public string? field2 { get; set; }


        /// <summary>
        /// 备用字段3
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段3", Length = 50, ColumnName = "Field3")]
        public string? field3 { get; set; }


        /// <summary>
        /// 备用字段4
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段4", Length = 50, ColumnName = "Field4")]
        public string? field4 { get; set; }


        /// <summary>
        /// 备用字段5
        /// </summary>
        [SugarColumn(ColumnDescription = "备用字段5", Length = 50, ColumnName = "Field5")]
        public string? field5 { get; set; }



    }
}