using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IHdBindRecordService : IBaseService<HdBindRecord>
    {
        /// <summary>
        /// 好哒终端商户绑定记录-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetHdBindRecordListVo> getHdBindRecordList([FromQuery] PagerInfo page, [FromQuery] HdBindRecord param);


        /// <summary>
        /// 好哒终端商户绑定记录-详情
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>详情</returns>
        HdBindRecord getHdBindRecordQuery(long id);


        /// <summary>
        /// 好哒终端商户绑定记录-添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        long addHdBindRecord([FromBody] HdBindRecord param);


        /// <summary>
        /// 好哒终端商户绑定记录-修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        long updateHdBindRecord([FromBody] HdBindRecord param);


        /// <summary>
        /// 好哒终端商户绑定记录-删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        long deleteHdBindRecord(int id);



    }
}
