using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IHdDepositRecordService : IBaseService<HdDepositRecord>
    {
        /// <summary>
        /// 好哒押金记录-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetHdDepositRecordListVo> getHdDepositRecordList([FromQuery] PagerInfo page, [FromQuery] HdDepositRecord param);


        /// <summary>
        /// 好哒押金记录-详情
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>详情</returns>
        HdDepositRecord getHdDepositRecordQuery(long id);


        /// <summary>
        /// 好哒押金记录-添加
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>添加</returns>
        long addHdDepositRecord([FromBody] HdDepositRecord param);


        /// <summary>
        /// 好哒押金记录-修改
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <returns>修改</returns>
        long updateHdDepositRecord([FromBody] HdDepositRecord param);


        /// <summary>
        /// 好哒押金记录-删除
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>删除</returns>
        long deleteHdDepositRecord(long id);



    }
}
